Get IDs

Available platforms are listed in the Get platforms endpoint.

The default ID is the one from the oldest single or album (not compilation) we can find for a given track on Spotify/Deezer/Apple.

You can get the IDs of all platforms at once, or filter by platform to get the IDs of a specific platform.

Need to get the song UUID first? Use the Get song by ISRC or Get song by platform ID or Search song by name endpoints.

Request

GET /api/v2/song/{uuid}/identifiers

Path parameters

Parameter Value Description Additional
uuid string A Song UUID Required

Query string parameters

Parameter Value Description Additional
platform string A platform code Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional
onlyDefault boolean Get only default identifier by platform Optional

Response

Code Description Resource
200 OK

An Identifier collection response

Song Identifier Collection
401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Song not found

Explore

A Song UUID

A platform code

Get results starting from position

Number of results (max. 100)

Get only default identifier by platform

Try it out